summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/libgdamm/Manifest6
-rw-r--r--dev-cpp/libgdamm/files/3.99.16-bdb_automagic.patch (renamed from dev-cpp/libgdamm/files/3.99.12-bdb_automagic.patch)0
-rw-r--r--dev-cpp/libgdamm/libgdamm-3.99.16.ebuild (renamed from dev-cpp/libgdamm/libgdamm-3.99.12.ebuild)26
3 files changed, 18 insertions, 14 deletions
diff --git a/dev-cpp/libgdamm/Manifest b/dev-cpp/libgdamm/Manifest
index 13e9c01..c90c19e 100644
--- a/dev-cpp/libgdamm/Manifest
+++ b/dev-cpp/libgdamm/Manifest
@@ -1,5 +1,5 @@
-AUX 3.99.12-bdb_automagic.patch 733 RMD160 b9b24c1d1cec8060e2195ad26bf4389679148702 SHA1 6db3f5dcb9ebc4bb095c9cde7a78d6aa1b2f94c5 SHA256 df78ab08c568eaaa76f7394c48b1d7555c856202739b12a137c8f43b672e0b27
-DIST libgdamm-3.99.12.tar.bz2 866721 RMD160 889d7e471ec5d13fee08ea8ac492617dd9e0d1ed SHA1 7e49626c5db92e1f18c4c44f853a66696b820281 SHA256 74d7ccad6bec459d13efa43e9802cdc7ad3f11371616bc916730eb741ac1f2bb
-EBUILD libgdamm-3.99.12.ebuild 993 RMD160 a6a74dc3580b932d533cbbb0994f401305825e37 SHA1 4b3c87451ec9bf249e915c8342717c13661112cc SHA256 9df9b692b29b87f325b65389d4f69e5b1d65e895b7a5f3289a3cfbda6df402aa
MISC ChangeLog 1262 RMD160 b382ccfc8f61ee2568f00fdbd32b4338732efad0 SHA1 44c937c7a071e1b0c446096d77ebdc44660a7a4c SHA256 6cf57480ce0b4dd4b10bff7dbf7bc7db8b584ff150cb77c93dd36440753a0592
+AUX 3.99.16-bdb_automagic.patch 733 RMD160 b9b24c1d1cec8060e2195ad26bf4389679148702 SHA1 6db3f5dcb9ebc4bb095c9cde7a78d6aa1b2f94c5 SHA256 df78ab08c568eaaa76f7394c48b1d7555c856202739b12a137c8f43b672e0b27
+EBUILD libgdamm-3.99.16.ebuild 1058 RMD160 ad611595db6d6091b0d2621039e2c82d524c4fa6 SHA1 7eb1c66be2f589398f8d4ab7b71787ae8a197646 SHA256 461ba0f0243498b1bd69b3764bbdd29042a85c44097e3825bc047c61435e51ed
MISC metadata.xml 162 RMD160 e3b9e3d8ece920d890bf37c43a6bcd9757539556 SHA1 6ee3bb3e0cce43428124dfa192af30ddb055d95f SHA256 7d0ce82d5ca3b20cb1c4641c7b7aae7082fd6be059b85fab9699095fd965f2e9
+DIST libgdamm-3.99.16.tar.bz2 836649 RMD160 267811125362e601717a91b53252bca616c85513 SHA1 8fff91bb684f32c83b5e1c93a2963f610125afaa SHA256 37189b5ebbfb05f9b2916bc6f36bf770139dcf9c983b65d2c47eb6d337e38a3d
diff --git a/dev-cpp/libgdamm/files/3.99.12-bdb_automagic.patch b/dev-cpp/libgdamm/files/3.99.16-bdb_automagic.patch
index 051fdcb..051fdcb 100644
--- a/dev-cpp/libgdamm/files/3.99.12-bdb_automagic.patch
+++ b/dev-cpp/libgdamm/files/3.99.16-bdb_automagic.patch
diff --git a/dev-cpp/libgdamm/libgdamm-3.99.12.ebuild b/dev-cpp/libgdamm/libgdamm-3.99.16.ebuild
index 796e7fd..ebe9f72 100644
--- a/dev-cpp/libgdamm/libgdamm-3.99.12.ebuild
+++ b/dev-cpp/libgdamm/libgdamm-3.99.16.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -9,12 +9,12 @@ inherit autotools gnome2
DESCRIPTION="C++ bindings for libgda"
HOMEPAGE="http://gtkmm.sourceforge.net/"
LICENSE="LGPL-2.1 examples? ( GPL-2 )"
-SLOT="0"
+SLOT="4"
KEYWORDS="~amd64 ~ppc ~sparc ~x86"
IUSE="berkdb doc examples"
RDEPEND=">=dev-cpp/glibmm-2.12.8
- >=gnome-extra/libgda-3.99.12[berkdb?]"
+ >=gnome-extra/libgda-4.0.0:4[berkdb?]"
DEPEND="${RDEPEND}
dev-util/pkgconfig
doc? ( app-doc/doxygen )"
@@ -24,11 +24,8 @@ DOCS="AUTHORS ChangeLog NEWS README TODO"
src_prepare() {
gnome2_src_prepare
- # should be configured via configure switch
- if ! use examples ; then
- sed 's/^\(SUBDIRS =.*\)examples\(.*\)$/\1\2/' \
- -i Makefile.in || die "sed Makefile.am failed"
- fi
+ sed -i -e 's/^\(^SUBDIRS.*\)examples\(.*\)/\1\2/' \
+ Makefile.am || die "sed failed"
epatch "${FILESDIR}/${PV}-bdb_automagic.patch"
@@ -37,11 +34,18 @@ src_prepare() {
}
src_configure() {
- G2CONF="$(use_enable doc reference)"
+ G2CONF="
+ $(use_enable doc reference)
+ $(use_with berkdb bdb)"
gnome2_src_configure
}
src_install() {
- gnome2_src_install
-# use doc && dohtml -r docs/reference/html/*
+ gnome2_src_install referencedir="/usr/share/doc/${PF}/html"
+
+ if use examples ; then
+ rm -rf examples/Makefile* examples/*/Makefile*
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
}